---
lang: en
title: 'API docs: authentication-jwt.myuserservice'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/extensions/authentication-jwt
permalink: /doc/en/lb4/apidocs.authentication-jwt.myuserservice.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-jwt](./authentication-jwt.md) &gt; [MyUserService](./authentication-jwt.myuserservice.md)

## MyUserService class

<b>Signature:</b>

```typescript
export declare class MyUserService implements UserService<User, Credentials> 
```
<b>Implements:</b> [UserService](./authentication.userservice.md)<!-- -->&lt;[User](./authentication-jwt.user.md)<!-- -->, [Credentials](./authentication-jwt.credentials.md)<!-- -->&gt;

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(userRepository)](./authentication-jwt.myuserservice._constructor_.md) |  | Constructs a new instance of the <code>MyUserService</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [userRepository](./authentication-jwt.myuserservice.userrepository.md) |  | [UserRepository](./authentication-jwt.userrepository.md) |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [convertToUserProfile(user)](./authentication-jwt.myuserservice.converttouserprofile.md) |  |  |
|  [verifyCredentials(credentials)](./authentication-jwt.myuserservice.verifycredentials.md) |  |  |


